Page MenuHomePhabricator

ErrorException from line 116 of /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/StudentPager.php: PHP Notice: Undefined variable: retValue
Closed, ResolvedPublic

Description

Noticing this in 1.32.0-wmf.20:

#0 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/StudentPager.php(116): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/EPPager.php(466): EducationProgram\StudentPager->getFormattedValue(string, NULL)
#2 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/EPPager.php(114): EducationProgram\EPPager->formatValue(string, NULL)
#3 /srv/mediawiki/php-1.32.0-wmf.20/includes/pager/IndexPager.php(445): EducationProgram\EPPager->formatRow(stdClass)
#4 /srv/mediawiki/php-1.32.0-wmf.20/includes/pager/TablePager.php(69): IndexPager->getBody()
#5 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/rows/Student.php(33): TablePager->getBody()
#6 /srv/mediawiki/php-1.32.0-wmf.20/includes/cache/CacheHelper.php(297): EducationProgram\Student::getPager(RequestContext)
#7 /srv/mediawiki/php-1.32.0-wmf.20/includes/specials/SpecialCachedPage.php(148): CacheHelper->getCachedValue(string, array, NULL)
#8 /srv/mediawiki/php-1.32.0-wmf.20/extensions/EducationProgram/includes/specials/SpecialStudents.php(33): SpecialCachedPage->addCachedHTML(string, RequestContext)
#9 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPage.php(569): EducationProgram\SpecialStudents->execute(NULL)
#10 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(NULL)
#11 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#12 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(868): MediaWiki->performRequest()
#13 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(525): MediaWiki->main()
#14 /srv/mediawiki/php-1.32.0-wmf.20/index.php(42): MediaWiki->run()
#15 /srv/mediawiki/w/index.php(3): include(string)
#16 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 3:09 PM

Change 458220 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/EducationProgram@master] StudentPager: Ensure $retValue exists in all code paths

https://gerrit.wikimedia.org/r/458220

Legoktm claimed this task.Sep 5 2018, 5:41 PM

My bad, I missed a few code paths apparently in the rename.

Change 458220 merged by jenkins-bot:
[mediawiki/extensions/EducationProgram@master] StudentPager: Ensure $retValue exists in all code paths

https://gerrit.wikimedia.org/r/458220

Change 458273 had a related patch set uploaded (by Jforrester; owner: Legoktm):
[mediawiki/extensions/EducationProgram@wmf/1.32.0-wmf.20] StudentPager: Ensure $retValue exists in all code paths

https://gerrit.wikimedia.org/r/458273

Change 458273 merged by jenkins-bot:
[mediawiki/extensions/EducationProgram@wmf/1.32.0-wmf.20] StudentPager: Ensure $retValue exists in all code paths

https://gerrit.wikimedia.org/r/458273

Mentioned in SAL (#wikimedia-operations) [2018-09-05T23:14:54Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/EducationProgram/includes/pagers/StudentPager.php: SWAT Fix spammy log errors T203577 (duration: 00m 58s)

Jdforrester-WMF closed this task as Resolved.Sep 5 2018, 11:28 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Ignore the above.

This is now deployed and has dropped out of fatalmonitor.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM